# Delete Threat

Deletes custom threats with given threat ID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

The Delete Threat endpoint allows you to permanently remove a custom threat from the threat library using its unique threat ID.

  • The threat ID to be deleted must be specified in the request path.
  • Use this endpoint with caution, as deletion is irreversible.
    After deletion, a confirmation response is returned.
curl --location 'https://api.picussecurity.com/v1/threat-library/threats/112977' \
--header 'Authorization: Bearer access_token' \
--header 'Content-Type: application/json' \
--data ''
{
    "message": "threat deleted successfully"
    }
}
Path Params
uint64
required

Threat ID (URI parameter)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json